## python-zxcvbn 4.4.19

=== requirements.txt ===
py==1.4.31
pytest==3.0.4

## python-zxcvbn 1.0+git20130503.bc1c2d

=== debian/changelog ===
python-zxcvbn (1.0+git20130503.bc1c2d-1) unstable; urgency=low

  * Initial release (Closes: #707786)

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Thu, 12 Mar 2015 06:43:07 +1100

=== debian/control ===
Source: python-zxcvbn
Section: python
Priority: optional
Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all
Standards-Version: 3.9.6
Homepage: https://github.com/dropbox/python-zxcvbn/tree/master/zxcvbn
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-zxcvbn/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-modules/packages/python-zxcvbn/trunk/

Package: python-zxcvbn
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Description: Password strength calculator
 python-zxcvbn contains the function password_strength(), which
 when used is able to determine the estimated time it would take
 to crack a password. Using those results, a strength score can
 be calculated.
 .
 In determining these results, python-zxcvbn makes use of common
 passwords, common American names and surnames, common English
 words, and common patterns like dates, repeats (aaa), sequences
 (abcd), and QWERTY patterns.
 .
 python-zxcvbn is a Python 2 port of the coffeescript zxcvbn,
 which is used on the website of Dropbox.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=zxcvbn

#Update for new upstream versions.
DEB_VERSION=1.0+git20130503
GIT_REVISION=bc1c2d32d92dc83a384da446edd7ca54e71eb9d9
SHORT_GIT_REVISION:=$(shell echo ${GIT_REVISION} | head -c 6)

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	# This is necessary so that the generated files can be built from
	# source, without having to repack the upstream tarball
	rm -f zxcvbn/generated/*
	cd zxcvbn/scripts && python build_frequency_lists.py \
	&& python build_keyboard_adjacency_graph.py
	dh_auto_build

get-orig-source:
	git clone https://github.com/dropbox/python-zxcvbn
	cd python-zxcvbn && git reset ${GIT_REVISION} && rm -rf .git
	tar -czf python-zxcvbn_${DEB_VERSION}.${SHORT_GIT_REVISION}.orig.tar.gz python-zxcvbn
	rm -rf python-zxcvbn

=== debian/watch ===
version=3
http://pypi.debian.net/zxcvbn/zxcvbn-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## python-zxcvbn 4.4.15

=== debian/changelog ===
python-zxcvbn (4.4.15-1) unstable; urgency=medium

  * Upload to unstable

 -- Sabino Par <sprab@onenetbeyond.org>  Sat, 22 Jul 2017 15:11:20 +0200

python-zxcvbn (4.4.15-0.1) experimental; urgency=low

  * New upstream release
  * Update std-version to 4.0.0

 -- Sabino Par <sprab@onenetbeyond.org>  Fri, 21 Jul 2017 09:05:12 +0200

python-zxcvbn (4.4.14-0.1) experimental; urgency=low

  [Sabino Par]
  * New maintainer (Closes: #855638)
    - Thanks Riley for your work!
  * Fixed change upstream source to the active fork (Closes: #850910)
    - Update to new source code fork 4.4.14 release
    - update copyright file for new release and remove CC-BY-SA-3.0
      and public-domain references
  * Added new Python3 package port
  * Update to new compat level 10
  * Update watch file to point to new package location
  * Switch packaging to pybuild
  * Update standard version to 3.9.8, no changes required

  [Ondřej Nový]
  * Fixed VCS URL (https)

 -- Sabino Par <sprab@onenetbeyond.org>  Sat, 25 Mar 2017 15:30:28 +0100
  

=== debian/control ===
Source: python-zxcvbn
Section: python
Priority: optional
Maintainer: Sabino Par <sprab@onenetbeyond.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
Standards-Version: 4.0.0
Homepage: https://github.com/dwolfhub/zxcvbn-python/tree/master
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-zxcvbn.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-zxcvbn.git/
#Testsuite: autopkgtest-pkg-python

Package: python-zxcvbn
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Realistic password strength estimator. Python2 module
 This is a Python implementation of the library created by the
 team at Dropbox. Accepts user data to be added to the dictionaries
 that are tested against, gives a score to the password, provides
 feedback on the password and ways to improve it, returns time
 estimates on how long it would take to guess the password in
 different situations
 .
 This package provides the Python 2 library.

Package: python3-zxcvbn
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Realistic password strength estimator. Python3 module
 This is a Python implementation of the library created by the
 team at Dropbox. Accepts user data to be added to the dictionaries
 that are tested against, gives a score to the password, provides
 feedback on the password and ways to improve it, returns time
 estimates on how long it would take to guess the password in
 different situations
 .
 This package provides the Python 3 library.

## python-zxcvbn 4.4.19

=== debian/changelog ===
python-zxcvbn (4.4.19-1) unstable; urgency=medium

  [ Sabino Par ]
  * New upstream release

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Gianfranco Costamagna ]
  * Update std-version to 4.1.3, no changes required.

 -- Sabino Par <sprab@onenetbeyond.org>  Fri, 16 Feb 2018 12:11:20 +0200

python-zxcvbn (4.4.16-1) unstable; urgency=medium

  * New upstream release
  * Update std-version to 4.1.0

 -- Sabino Par <sprab@onenetbeyond.org>  Sun, 10 Sep 2017 15:11:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Sabino Par <sprab@onenetbeyond.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/dwolfhub/zxcvbn-python/tree/master
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-zxcvbn.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-zxcvbn.git/
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-zxcvbn.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-zxcvbn
 #Testsuite: autopkgtest-pkg-python
 
 Package: python-zxcvbn

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.

export PYBUILD_NAME=zxcvbn

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PyPI
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zxcvbn-python/zxcvbn-python-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-zxcvbn 4.4.25

=== debian/changelog ===
python-zxcvbn (4.4.25-1) unstable; urgency=medium

  [ Sabino Par ]
  * New upstream release
  * Update std-version to 4.1.4

 -- Sabino Par <sprab@onenetbeyond.org>  Sat, 14 Apr 2018 17:36:50 +0200

python-zxcvbn (4.4.19-2) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Mar 2018 23:10:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Sabino Par <sprab@onenetbeyond.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/dwolfhub/zxcvbn-python/tree/master
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-zxcvbn.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-zxcvbn

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PyPI
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zxcvbn/zxcvbn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-zxcvbn 4.4.27

=== debian/changelog ===
python-zxcvbn (4.4.27-1) unstable; urgency=medium

  [ Sabino Par ]
  * New upstream release
  * d/control: Update std-version to 4.2.0
  * d/watch: move from pypi to github.

  [ Mattia Rizzolo ]
  * d/watch: Fix archive matching
  * d/rules: Do not install the zxcvbn binary in the python2 package.
    Closes: #896489
  * d/control:
    + Bump Standards-Version to 4.3.0, no changes needed.
    + Use the new debhelper-compat notation and drop d/compat.
    + Bump the debhelper compat level to 12.
    + Set Rules-Requires-Root:no.
    + Set Testsuite:autopkgtest-pkg-python.
    + Tweak the descriptions to appease lintian.
  * Install the README.rst file in all packages.

  [ Chris Lamb ]
  * Remove trailing whitespaces.

  [ Ondřej Nový ]

  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Sabino Par <sprab@onenetbeyond.org>  Wed, 13 Feb 2019 00:49:46 +0100

=== debian/control ===
Source: python-zxcvbn
Section: python
Priority: optional
Maintainer: Sabino Par <sprab@onenetbeyond.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/dwolfhub/zxcvbn-python/tree/master
Vcs-Git: https://salsa.debian.org/python-team/modules/python-zxcvbn.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-zxcvbn
Testsuite: autopkgtest-pkg-python

Package: python-zxcvbn
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Realistic password strength estimator - Python2 module
 This is a Python implementation of the library created by the
 team at Dropbox. Accepts user data to be added to the dictionaries
 that are tested against, gives a score to the password, provides
 feedback on the password and ways to improve it, returns time
 estimates on how long it would take to guess the password in
 different situations
 .
 This package provides the Python 2 library.

Package: python3-zxcvbn
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Realistic password strength estimator - Python3 module
 This is a Python implementation of the library created by the
 team at Dropbox. Accepts user data to be added to the dictionaries
 that are tested against, gives a score to the password, provides
 feedback on the password and ways to improve it, returns time
 estimates on how long it would take to guess the password in
 different situations
 .
 This package provides the Python 3 library, and a zxcvbn binary providing
 a convenient wrapper.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zxcvbn
export PYBUILD_AFTER_INSTALL_python2=rm -v {destdir}/usr/bin/zxcvbn

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-zxcvbn 4.4.28

=== requirements.txt ===
pytest==3.5.0

=== debian/changelog ===
python-zxcvbn (4.4.28-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 16:07:47 -0400

python-zxcvbn (4.4.28-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #938287).

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Sep 2019 10:26:09 +0200

python-zxcvbn (4.4.28-1) unstable; urgency=medium

  [ Sabino Par ]
  * New upstream release.
  * Update copyright.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

 -- Sabino Par <sprab@onenetbeyond.org>  Tue, 03 Sep 2019 23:00:00 +0100

=== debian/control ===
Source: python-zxcvbn
Section: python
Priority: optional
Maintainer: Sabino Par <sprab@onenetbeyond.org>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/dwolfhub/zxcvbn-python/tree/master
Vcs-Git: https://salsa.debian.org/python-team/packages/python-zxcvbn.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-zxcvbn
Testsuite: autopkgtest-pkg-python

Package: python3-zxcvbn
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Realistic password strength estimator - Python3 module
 This is a Python implementation of the library created by the
 team at Dropbox. Accepts user data to be added to the dictionaries
 that are tested against, gives a score to the password, provides
 feedback on the password and ways to improve it, returns time
 estimates on how long it would take to guess the password in
 different situations
 .
 This package provides the Python 3 library, and a zxcvbn binary providing
 a convenient wrapper.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zxcvbn

%:
	dh $@ --with python3 --buildsystem=pybuild
